--- 1.6/check_message.conf	2015-02-10 02:23:28.000000000 -0600
+++ 1.7/check_message.conf	2015-03-26 01:05:46.000000000 -0500
@@ -8,6 +8,7 @@
     # is turned to NEGATIVE feedback here if it turns out to still be spam
   warn 
     condition = ${if and { {< {$message_size}{EASY_SPAMASSASSIN_MAX_SIZE}} { <{$acl_m_easy69}{EASY_LIMIT}}}{1}{0}}
+    condition = ${if !eq{$acl_m_spam_user}{nobody}}
     spam = $acl_m_spam_user:true/defer_ok
     set acl_m_easy69 = ${eval:$acl_m_easy69 + $spam_score_int}
     add_header = X-Spam-Score: $spam_score ($spam_bar)
@@ -15,14 +16,24 @@
     set acl_m_spam_assassin_has_run = 1
 
   warn
+    condition = ${if < {$message_size}{EASY_SPAMASSASSIN_MAX_SIZE}}
+    condition = ${if !eq{$acl_m_spam_user}{nobody}}
     spam = $acl_m_spam_user/defer_ok
     set acl_m_spam_subject = ${perl{get_spam_subject}}
     add_header = Subject:$acl_m_spam_subject$h_Subject:
     add_header = X-Spam-Status: Yes, score=$spam_score, +EASY_IS_SPAM total spam score
     set acl_m_easy69 = ${eval:$acl_m_easy69 + EASY_IS_SPAM}
 
+  warn
+    condition = ${if !eq{$acl_m_esf_skip}{1}}
+    condition = ${if >= {$message_size}{EASY_SPAMASSASSIN_MAX_SIZE}}
+    condition = ${if !eq{$acl_m_spam_user}{nobody}}
+    add_header = X-Spam-Status: No, message_size=$message_size larger than EASY_SPAMASSASSIN_MAX_SIZE
+
   drop
     condition = ${if !eq{$acl_m_esf_skip}{1}}
+    condition = ${if < {$message_size}{EASY_SPAMASSASSIN_MAX_SIZE}}
+    condition = ${if !eq{$acl_m_spam_user}{nobody}}
     spam = $acl_m_spam_user/defer_ok
     set acl_m_high_score_drop = ${perl{get_spam_high_score_drop}}
     logwrite = ESF score is $spam_score_int / $acl_m_high_score_drop
@@ -36,6 +47,7 @@
   drop
     condition = ${if !eq{$acl_m_esf_skip}{1}}
     condition = ${if >{$acl_m_easy69}{EASY_HIGH_SCORE_DROP}{1}{0}}
+    condition = ${if !eq{$acl_m_spam_user}{nobody}}
     message = Your message was classified as SPAM.  Please add more content, cut down on HTML links, use fewer naughty words etc.  Also, ask your IT dept to make sure your mailserver has REVERSEDNS, SPF and is not on any black lists. Your score: $acl_m_easy69
 
   warn
